@extends('layouts.app')

<?php

?>
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Make a question!') }}</div>

                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif

                    <form method="post" action="{{ route('saveQuestionRoute') }}">
                        {{ csrf_field() }}
                        <div class="form-group">
                            <input type="text" name="ListQuestion" class="form-control" placeholder="Enter question" required>
                            <button type="submit" class="top-buffer">Submit Question</button>
                        </div>

                    </form>
                </div>

            </div>
            <br>

            

            @foreach ($Questions as $ListQuestion)
 
            <div class="card">
                <div class="card-header">{{ __('Question:') }} {{ $ListQuestion->question}}
                    <div>Question by: {{ $ListQuestion->user}}</div>
                </div>

                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif

                    <form method="post" action="{{ route('saveAnswerRoute') }}">
                        {{ csrf_field() }}
                        @foreach ($Answerss as $Answers)
                        @if($ListQuestion->id == $Answers->questionId)
                        <p>{{ $Answers->user}}: {{ $Answers->answers}} </p>
                        @endif
                        @endforeach

                        <input type="hidden" name="currentId" value="{{ $ListQuestion->id}}" />
                        <div class="form-group">
                            <input type="text" name="Answers" class="form-control" placeholder="Enter answer" required>
                            <button type="submit" class="top-buffer">Submit Answer</button>
                        </div>

                    </form>
                </div>

            </div>
            <br>
            @endforeach

        </div>
    </div>
</div>
@endsection